<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>e-combox documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="../images/favicon.ico">
	   <link rel="stylesheet" href="../styles/style.css">
        <link rel="stylesheet" href="../styles/dark.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top visible-xs">
            <a href="../" class="navbar-brand">e-combox documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content component">
                   <div class="content-data">




<ol class="breadcrumb">
  <li>Components</li>
  <li
  >
  ServerStatusCardComponent</li>
</ol>

<ul class="nav nav-tabs" role="tablist">
        <li class="active">
            <a href="#info" role="tab" id="info-tab" data-toggle="tab" data-link="info">Info</a>
        </li>
        <li >
            <a href="#source" role="tab" id="source-tab" data-toggle="tab" data-link="source">Source</a>
        </li>
        <li >
            <a href="#templateData" role="tab" id="templateData-tab" data-toggle="tab" data-link="template">Template</a>
        </li>
        <li >
            <a href="#styleData" role="tab" id="styleData-tab" data-toggle="tab" data-link="style">Styles</a>
        </li>
        <li >
            <a href="#tree" role="tab" id="tree-tab" data-toggle="tab" data-link="dom-tree">DOM Tree</a>
        </li>
</ul>

<div class="tab-content">
    <div class="tab-pane fade active in" id="c-info"><p class="comment">
    <h3>File</h3>
</p>
<p class="comment">
    <code>src/app/ecombox/servers/server-status-card/server-status-card.component.ts</code>
</p>




    <p class="comment">
        <h3>Implements</h3>
    </p>
    <p class="comment">
                    <code><a href="https://angular.io/api/core/OnInit" target="_blank" >OnInit</a></code>
    </p>


<section>
    <h3>Metadata</h3>
    <table class="table table-sm table-hover metadata">
        <tbody>











            <tr>
                <td class="col-md-3">selector</td>
                <td class="col-md-9"><code>ecx-server-status-card</code></td>
            </tr>

            <tr>
                <td class="col-md-3">styleUrls</td>
                <td class="col-md-9"><code>./server-status-card.component.scss</code></td>
            </tr>



            <tr>
                <td class="col-md-3">templateUrl</td>
                <td class="col-md-9"><code>./server-status-card.component.html</code></td>
            </tr>








        </tbody>
    </table>
</section>

    <section>
    <h3 id="index">Index</h3>
    <table class="table table-sm table-bordered index-table">
        <tbody>
                <tr>
                    <td class="col-md-4">
                        <h6><b>Properties</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                <a href="#contextMenu" >contextMenu</a>
                            </li>
                            <li>
                                <a href="#items" >items</a>
                            </li>
                            <li>
                                <a href="#loading" >loading</a>
                            </li>
                            <li>
                                <a href="#mainContainer" >mainContainer</a>
                            </li>
                            <li>
                                <a href="#password" >password</a>
                            </li>
                            <li>
                                <a href="#serverType" >serverType</a>
                            </li>
                            <li>
                                <a href="#stack" >stack</a>
                            </li>
                            <li>
                                <a href="#tag" >tag</a>
                            </li>
                            <li>
                                <a href="#urlBack" >urlBack</a>
                            </li>
                            <li>
                                <a href="#valid" >valid</a>
                            </li>
                        </ul>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <h6><b>Methods</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                <a href="#close" >close</a>
                            </li>
                            <li>
                                <a href="#confirmDel" >confirmDel</a>
                            </li>
                            <li>
                                <a href="#ngOnInit" >ngOnInit</a>
                            </li>
                            <li>
                                <a href="#onClick" >onClick</a>
                            </li>
                            <li>
                                <a href="#onDuplicate" >onDuplicate</a>
                            </li>
                            <li>
                                <a href="#open" >open</a>
                            </li>
                            <li>
                                    <span class="modifier">Private</span>
                                <a href="#start" >start</a>
                            </li>
                            <li>
                                    <span class="modifier">Private</span>
                                <a href="#stop" >stop</a>
                            </li>
                        </ul>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <h6><b>Inputs</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                <a href="#on" >on</a>
                            </li>
                            <li>
                                <a href="#stackID" >stackID</a>
                            </li>
                            <li>
                                <a href="#title" >title</a>
                            </li>
                            <li>
                                <a href="#type" >type</a>
                            </li>
                        </ul>
                    </td>
                </tr>



                <tr>
                    <td class="col-md-4">
                        <h6><b>HostListeners</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                <a href="#document:click" >document:click</a>
                            </li>
                        </ul>
                    </td>
                </tr>

        </tbody>
    </table>
</section>

    <section>
    <h3 id="constructor">Constructor</h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
<code>constructor(store: <a href="../injectables/StackStore.html" target="_self">StackStore</a>, dialogService: NbDialogService, toastr: ToastrService)</code>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-4">
                                <div class="io-line">Defined in <a href="" data-line="45" class="link-to-prism">src/app/ecombox/servers/server-status-card/server-status-card.component.ts:45</a></div>
                            </td>
                        </tr>

                <tr>
                    <td class="col-md-4">
                            <div>
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                    <td>Type</td>
                                                <td>Optional</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>store</td>
                                                  
                                                        <td>
                                                                        <code><a href="../injectables/StackStore.html" target="_self" >StackStore</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>dialogService</td>
                                                  
                                                        <td>
                                                                    <code>NbDialogService</code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>toastr</td>
                                                  
                                                        <td>
                                                                    <code>ToastrService</code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
</section>

    <section>
    <h3 id="inputs">Inputs</h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="on"></a>
                        <b>on</b>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <i>Type : </i>        <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/boolean" target="_blank" >boolean</a></code>

                    </td>
                </tr>
                        <tr>
                            <td class="col-md-2" colspan="2">
                                    <div class="io-line">Defined in <a href="" data-line="36" class="link-to-prism">src/app/ecombox/servers/server-status-card/server-status-card.component.ts:36</a></div>
                            </td>
                        </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="stackID"></a>
                        <b>stackID</b>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <i>Type : </i>        <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/number" target="_blank" >number</a></code>

                    </td>
                </tr>
                        <tr>
                            <td class="col-md-2" colspan="2">
                                    <div class="io-line">Defined in <a href="" data-line="35" class="link-to-prism">src/app/ecombox/servers/server-status-card/server-status-card.component.ts:35</a></div>
                            </td>
                        </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="title"></a>
                        <b>title</b>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <i>Type : </i>        <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank" >string</a></code>

                    </td>
                </tr>
                        <tr>
                            <td class="col-md-2" colspan="2">
                                    <div class="io-line">Defined in <a href="" data-line="33" class="link-to-prism">src/app/ecombox/servers/server-status-card/server-status-card.component.ts:33</a></div>
                            </td>
                        </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="type"></a>
                        <b>type</b>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <i>Type : </i>        <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank" >string</a></code>

                    </td>
                </tr>
                        <tr>
                            <td class="col-md-2" colspan="2">
                                    <div class="io-line">Defined in <a href="" data-line="34" class="link-to-prism">src/app/ecombox/servers/server-status-card/server-status-card.component.ts:34</a></div>
                            </td>
                        </tr>
            </tbody>
        </table>
</section>


    <section>
    <h3>HostListeners</h3>    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="document:click"></a>
                    <span class="name">
                        <span ><b>document:click</b></span>
                        <a href="#document:click"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
<code>document:click()</code>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">
                    <div class="io-line">Defined in <a href="" data-line="149"
                            class="link-to-prism">src/app/ecombox/servers/server-status-card/server-status-card.component.ts:149</a></div>
                </td>
            </tr>


        </tbody>
    </table>
</section>
    <section>
    
    <h3 id="methods">
        Methods
    </h3>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="close"></a>
                    <span class="name">
                        <span ><b>close</b></span>
                        <a href="#close"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
<code>close()</code>
                </td>
            </tr>

            <tr>
                <td class="col-md-4">
                    <b>Decorators : </b>
                    <br />
                    <code>@HostListener(&#x27;document:click&#x27;)<br /></code>
                </td>
            </tr>

            <tr>
                <td class="col-md-4">
                    <div class="io-line">Defined in <a href="" data-line="149"
                            class="link-to-prism">src/app/ecombox/servers/server-status-card/server-status-card.component.ts:149</a></div>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">

                    <div class="io-description">
                        <b>Returns : </b>        <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                    </div>
                </td>
            </tr>
        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="confirmDel"></a>
                    <span class="name">
                        <span ><b>confirmDel</b></span>
                        <a href="#confirmDel"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
<code>confirmDel()</code>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">
                    <div class="io-line">Defined in <a href="" data-line="94"
                            class="link-to-prism">src/app/ecombox/servers/server-status-card/server-status-card.component.ts:94</a></div>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">

                    <div class="io-description">
                        <b>Returns : </b>        <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                    </div>
                </td>
            </tr>
        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="ngOnInit"></a>
                    <span class="name">
                        <span ><b>ngOnInit</b></span>
                        <a href="#ngOnInit"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
<code>ngOnInit()</code>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">
                    <div class="io-line">Defined in <a href="" data-line="61"
                            class="link-to-prism">src/app/ecombox/servers/server-status-card/server-status-card.component.ts:61</a></div>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">

                    <div class="io-description">
                        <b>Returns : </b>        <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                    </div>
                </td>
            </tr>
        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="onClick"></a>
                    <span class="name">
                        <span ><b>onClick</b></span>
                        <a href="#onClick"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
<code>onClick()</code>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">
                    <div class="io-line">Defined in <a href="" data-line="82"
                            class="link-to-prism">src/app/ecombox/servers/server-status-card/server-status-card.component.ts:82</a></div>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">

                    <div class="io-description">
                        <b>Returns : </b>        <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                    </div>
                </td>
            </tr>
        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="onDuplicate"></a>
                    <span class="name">
                        <span ><b>onDuplicate</b></span>
                        <a href="#onDuplicate"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
<code>onDuplicate()</code>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">
                    <div class="io-line">Defined in <a href="" data-line="127"
                            class="link-to-prism">src/app/ecombox/servers/server-status-card/server-status-card.component.ts:127</a></div>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">

                    <div class="io-description">
                        <b>Returns : </b>        <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                    </div>
                </td>
            </tr>
        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="open"></a>
                    <span class="name">
                        <span ><b>open</b></span>
                        <a href="#open"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
<code>open()</code>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">
                    <div class="io-line">Defined in <a href="" data-line="140"
                            class="link-to-prism">src/app/ecombox/servers/server-status-card/server-status-card.component.ts:140</a></div>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">

                    <div>
                    </div>
                    <div class="io-description">
                        <b>Returns : </b>        <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/boolean" target="_blank" >boolean</a></code>

                    </div>
                    <div class="io-description">
                        
                    </div>
                </td>
            </tr>
        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="start"></a>
                    <span class="name">
                        <span class="modifier">Private</span>
                        <span ><b>start</b></span>
                        <a href="#start"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
                    <span class="modifier-icon icon ion-ios-reset"></span>
                    <code>start()</code>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">
                    <div class="io-line">Defined in <a href="" data-line="156"
                            class="link-to-prism">src/app/ecombox/servers/server-status-card/server-status-card.component.ts:156</a></div>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">

                    <div class="io-description">
                        <b>Returns : </b>        <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                    </div>
                </td>
            </tr>
        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="stop"></a>
                    <span class="name">
                        <span class="modifier">Private</span>
                        <span ><b>stop</b></span>
                        <a href="#stop"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
                    <span class="modifier-icon icon ion-ios-reset"></span>
                    <code>stop()</code>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">
                    <div class="io-line">Defined in <a href="" data-line="174"
                            class="link-to-prism">src/app/ecombox/servers/server-status-card/server-status-card.component.ts:174</a></div>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">

                    <div class="io-description">
                        <b>Returns : </b>        <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                    </div>
                </td>
            </tr>
        </tbody>
    </table>
</section>
    <section>
    
    <h3 id="inputs">
        Properties
    </h3>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="contextMenu"></a>
                    <span class="name">
                        <span ><b>contextMenu</b></span>
                        <a href="#contextMenu"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
                <tr>
                    <td class="col-md-4">
                        <i>Type : </i>    <code>NbContextMenuDirective</code>

                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <b>Decorators : </b>
                        <br />
                        <code>
                            @ViewChild(NbContextMenuDirective)<br />
                        </code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                                <div class="io-line">Defined in <a href="" data-line="25" class="link-to-prism">src/app/ecombox/servers/server-status-card/server-status-card.component.ts:25</a></div>
                        </td>
                    </tr>


        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="items"></a>
                    <span class="name">
                        <span ><b>items</b></span>
                        <a href="#items"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
                <tr>
                    <td class="col-md-4">
                        <i>Type : </i>    <code>[]</code>

                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <i>Default value : </i><code>[
    { title: &quot;Arrêter/Démarrer&quot; },
    { title: &quot;Supprimer&quot; },
    { title: &quot;Dupliquer&quot; },
  ]</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                                <div class="io-line">Defined in <a href="" data-line="27" class="link-to-prism">src/app/ecombox/servers/server-status-card/server-status-card.component.ts:27</a></div>
                        </td>
                    </tr>


        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="loading"></a>
                    <span class="name">
                        <span ><b>loading</b></span>
                        <a href="#loading"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
                <tr>
                    <td class="col-md-4">
                        <i>Type : </i>        <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/boolean" target="_blank" >boolean</a></code>

                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <i>Default value : </i><code>false</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                                <div class="io-line">Defined in <a href="" data-line="41" class="link-to-prism">src/app/ecombox/servers/server-status-card/server-status-card.component.ts:41</a></div>
                        </td>
                    </tr>


        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="mainContainer"></a>
                    <span class="name">
                        <span ><b>mainContainer</b></span>
                        <a href="#mainContainer"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
                <tr>
                    <td class="col-md-4">
                        <i>Type : </i>        <code><a href="../classes/Container.html" target="_self" >Container</a></code>

                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                                <div class="io-line">Defined in <a href="" data-line="40" class="link-to-prism">src/app/ecombox/servers/server-status-card/server-status-card.component.ts:40</a></div>
                        </td>
                    </tr>


        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="password"></a>
                    <span class="name">
                        <span ><b>password</b></span>
                        <a href="#password"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
                <tr>
                    <td class="col-md-4">
                        <i>Type : </i>        <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank" >string</a></code>

                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <i>Default value : </i><code>&quot;&quot;</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                                <div class="io-line">Defined in <a href="" data-line="44" class="link-to-prism">src/app/ecombox/servers/server-status-card/server-status-card.component.ts:44</a></div>
                        </td>
                    </tr>


        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="serverType"></a>
                    <span class="name">
                        <span ><b>serverType</b></span>
                        <a href="#serverType"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
                <tr>
                    <td class="col-md-4">
                        <i>Type : </i>        <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank" >string</a></code>

                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                                <div class="io-line">Defined in <a href="" data-line="38" class="link-to-prism">src/app/ecombox/servers/server-status-card/server-status-card.component.ts:38</a></div>
                        </td>
                    </tr>


        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="stack"></a>
                    <span class="name">
                        <span ><b>stack</b></span>
                        <a href="#stack"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
                <tr>
                    <td class="col-md-4">
                        <i>Type : </i>        <code><a href="../classes/Stack.html" target="_self" >Stack</a></code>

                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                                <div class="io-line">Defined in <a href="" data-line="39" class="link-to-prism">src/app/ecombox/servers/server-status-card/server-status-card.component.ts:39</a></div>
                        </td>
                    </tr>


        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="tag"></a>
                    <span class="name">
                        <span ><b>tag</b></span>
                        <a href="#tag"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
                <tr>
                    <td class="col-md-4">
                        <i>Type : </i>        <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank" >string</a></code>

                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <i>Default value : </i><code>&quot;&quot;</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                                <div class="io-line">Defined in <a href="" data-line="45" class="link-to-prism">src/app/ecombox/servers/server-status-card/server-status-card.component.ts:45</a></div>
                        </td>
                    </tr>


        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="urlBack"></a>
                    <span class="name">
                        <span ><b>urlBack</b></span>
                        <a href="#urlBack"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
                <tr>
                    <td class="col-md-4">
                        <i>Type : </i>        <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank" >string</a></code>

                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <i>Default value : </i><code>&quot;&quot;</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                                <div class="io-line">Defined in <a href="" data-line="42" class="link-to-prism">src/app/ecombox/servers/server-status-card/server-status-card.component.ts:42</a></div>
                        </td>
                    </tr>


        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="valid"></a>
                    <span class="name">
                        <span ><b>valid</b></span>
                        <a href="#valid"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
                <tr>
                    <td class="col-md-4">
                        <i>Type : </i>        <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank" >string</a></code>

                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                                <div class="io-line">Defined in <a href="" data-line="43" class="link-to-prism">src/app/ecombox/servers/server-status-card/server-status-card.component.ts:43</a></div>
                        </td>
                    </tr>


        </tbody>
    </table>
</section>

</div>


    <div class="tab-pane fade  tab-source-code" id="c-source">
        <pre class="line-numbers compodoc-sourcecode"><code class="language-typescript">import { Container } from &quot;../../shared/models/container&quot;;
import {
  Component,
  HostListener,
  Input,
  OnInit,
  ViewChild,
} from &quot;@angular/core&quot;;
import { Stack } from &quot;../../shared/models/stack&quot;;
import { StackStore } from &quot;../../shared/store/stack.store&quot;;
import { NbContextMenuDirective, NbDialogService } from &quot;@nebular/theme&quot;;
import { DialogNamePromptComponent } from &quot;../dialog-name-prompt/dialog-name-prompt.component&quot;;
import { SERVER_TYPES } from &quot;../../shared/api/variables&quot;;
import { DialogTemplateComponent } from &quot;../dialog-template/dialog-template.component&quot;;
import { HttpErrorResponse } from &quot;@angular/common/http&quot;;
import { ToastrService } from &quot;ngx-toastr&quot;;

@Component({
  selector: &quot;ecx-server-status-card&quot;,
  templateUrl: &quot;./server-status-card.component.html&quot;,
  styleUrls: [&quot;./server-status-card.component.scss&quot;],
})
export class ServerStatusCardComponent implements OnInit {
  @ViewChild(NbContextMenuDirective) contextMenu: NbContextMenuDirective;

  items &#x3D; [
    { title: &quot;Arrêter/Démarrer&quot; },
    { title: &quot;Supprimer&quot; },
    { title: &quot;Dupliquer&quot; },
  ];

  @Input() title: string;
  @Input() type: string;
  @Input() stackID: number;
  @Input() on: boolean;

  serverType: string;
  stack: Stack;
  mainContainer: Container;
  loading: boolean &#x3D; false;
  urlBack: string &#x3D; &quot;&quot;;
  valid: string;
  password: string &#x3D; &quot;&quot;;
  tag: string &#x3D; &quot;&quot;;

  /**
   *
   */
  constructor(
    private store: StackStore,
    private dialogService: NbDialogService,
    private toastr: ToastrService
  ) {
    this.toastr.toastrConfig.timeOut &#x3D; 10000;
  }

  /**
   *
   */
  ngOnInit(): void {
    this.stack &#x3D; this.store.getStack(this.stackID);
    this.serverType &#x3D; this.stack.getServerType();
    if (this.stack.getStatus() &#x3D;&#x3D;&#x3D; 1) {
      this.mainContainer &#x3D; this.stack.getMainContainer();
      if (this.mainContainer !&#x3D;&#x3D; undefined) {
        this.urlBack &#x3D; this.mainContainer.getUrlBackOffice();
        if (this.serverType &#x3D;&#x3D;&#x3D; SERVER_TYPES.mautic) {
          // Display password for mautic servers
          this.password &#x3D; this.stack
            .getEnvVars()
            .find((e) &#x3D;&gt; e.name &#x3D;&#x3D;&#x3D; &quot;DB_PASS&quot;).value;
        }
      }
    }
    this.tag &#x3D; this.stack.getEnvVars().find((e) &#x3D;&gt; e.name &#x3D;&#x3D;&#x3D; &quot;TAG&quot;)?.value;
  }

  /**
   *
   */
  onClick(): void {
    this.loading &#x3D; true;
    if (this.on) {
      this.stop();
    } else {
      this.start();
    }
  }

  /**
   *
   */
  confirmDel(): void {
    this.dialogService
      .open(DialogNamePromptComponent, {
        context: {
          message:
            &quot;Cette action supprimera définitivement toutes les données associées à ce site&quot;,
        },
      })
      .onClose.subscribe((name) &#x3D;&gt; {
        this.valid &#x3D; name;
        if (name &#x3D;&#x3D;&#x3D; &quot;oui&quot;) {
          this.loading &#x3D; true;
          this.store.deleteStack(this.stackID, this.stack.getName()).subscribe(
            () &#x3D;&gt; {
              this.loading &#x3D; false;
            },
            (error: HttpErrorResponse) &#x3D;&gt; {
              this.loading &#x3D; false;
              if (error.status &#x3D;&#x3D;&#x3D; 404) {
                this.toastr.warning(
                  &#x60;Une erreur est survenue, veuillez retenter l&#x27;opération dans quelques minutes ou utiliser l&#x27;accès admin&#x60;
                );
              }
            }
          );
          this.store.deleteLinkedStack(this.stack);
        }
      });
  }

  /**
   * @TODO
   */
  onDuplicate(): void {
    this.dialogService.open(DialogTemplateComponent, {
      context: {
        stack: this.stack,
      },
      closeOnBackdropClick: false,
    });
  }

  /**
   *
   * @return {boolean}
   */
  open(): boolean {
    this.contextMenu.show();
    return false;
  }

  /**
   *
   */
  @HostListener(&quot;document:click&quot;)
  close(): void {
    this.contextMenu.hide();
  }

  /**
   *
   */
  private start(): void {
    this.store.updateStack(this.stackID, this.serverType).subscribe(
      (data: Container[]) &#x3D;&gt; {
        // 2 seconds of delay for nginx
        setTimeout(() &#x3D;&gt; {
          this.loading &#x3D; false;
        }, 2000);
      },
      (error: Error) &#x3D;&gt; {
        console.error(error.message);
        this.loading &#x3D; false;
      }
    );
  }

  /**
   *
   */
  private stop(): void {
    this.store.stopStack(this.stackID).subscribe(() &#x3D;&gt; {
      this.loading &#x3D; false;
    });
  }
}
</code></pre>
    </div>

    <div class="tab-pane fade " id="c-templateData">
        <pre class="line-numbers"><code class="language-html">&lt;nb-card [ngClass]&#x3D;&quot;{&#x27;off&#x27;: !on}&quot; [nbSpinner]&#x3D;&quot;loading&quot; nbSpinnerStatus&#x3D;&quot;info&quot; [nbContextMenu]&#x3D;&quot;items&quot;
    nbContextMenuTrigger&#x3D;&quot;noop&quot; (contextmenu)&#x3D;&quot;open()&quot;&gt;
    &lt;div class&#x3D;&quot;icon-container&quot;&gt;
        &lt;div class&#x3D;&quot;icon status-{{ type }}&quot; (click)&#x3D;&quot;onClick()&quot;&gt;
            &lt;ng-content&gt;&lt;/ng-content&gt;
        &lt;/div&gt;
    &lt;/div&gt;

    &lt;div class&#x3D;&quot;details&quot;&gt;
        &lt;div class&#x3D;&quot;title&quot;&gt;
            {{ title }}
        &lt;/div&gt;
        &lt;div class&#x3D;&quot;status&quot;&gt;{{ on ? &#x27;Démarré&#x27; : &#x27;Arrêté&#x27; }}&lt;/div&gt;
        &lt;div class&#x3D;&quot;title&quot; *ngIf&#x3D;&quot;on&quot;&gt;
            &lt;a href&#x3D;&quot;{{ urlBack }}&quot; title&#x3D;&quot;{{ urlBack }}&quot; target&#x3D;&quot;_blank&quot;&gt;Accéder au site&lt;/a&gt; {{ password }}
        &lt;/div&gt;
    &lt;/div&gt;
    &lt;div [ngClass]&#x3D;&quot;loading ? &#x27;bt-suppr-load&#x27; : &#x27;bt-suppr&#x27;&quot;&gt;
        &lt;span
            nbTooltip&#x3D;&quot;{{!on ? &#x27;Démarrez ce site pour créer un modèle&#x27; : &#x27;Cliquez ici pour créer un modèle de ce site&#x27; }}&quot;&gt;
            &lt;button [disabled]&#x3D;&quot;!on&quot; type&#x3D;&quot;button&quot; class&#x3D;&quot;btn btn-outline-primary btn-icon&quot; (click)&#x3D;&quot;onDuplicate()&quot;&gt;
                &lt;nb-icon icon&#x3D;&quot;copy-outline&quot;&gt;&lt;/nb-icon&gt;
            &lt;/button&gt;
        &lt;/span&gt;
        &lt;button type&#x3D;&quot;button&quot; class&#x3D;&quot;btn btn-outline-danger btn-icon margin&quot; (click)&#x3D;&quot;confirmDel()&quot;&gt;
            &lt;nb-icon icon&#x3D;&quot;close-outline&quot;&gt;&lt;/nb-icon&gt;
        &lt;/button&gt;
    &lt;/div&gt;
    &lt;div *ngIf&#x3D;&quot;tag?.length &gt; 0&quot; [ngClass]&#x3D;&quot;loading ? &#x27;name-img-load caption-2&#x27; : &#x27;name-img caption-2&#x27;&quot;&gt;
        &lt;i&gt;Créé à partir du modèle : {{ tag }}&lt;/i&gt;
    &lt;/div&gt;
&lt;/nb-card&gt;</code></pre>
    </div>

    <div class="tab-pane fade " id="c-styleData">
                <p class="comment">
                    <code>./server-status-card.component.scss</code>
                </p>
                <pre class="line-numbers"><code class="language-scss">@import &quot;../../../@theme/styles/themes&quot;;
@include nb-install-component() {
  nb-card {
    flex-direction: row;
    align-items: center;
    height: 6rem;
    overflow: visible;
    .icon-container {
      height: 100%;
      padding: 0.625rem;
    }
    .icon {
      display: flex;
      align-items: center;
      justify-content: center;
      width: 5.75rem;
      height: 4.75rem;
      font-size: 3.75rem;
      border-radius: nb-theme(card-border-radius);
      transition: width 0.4s ease;
      transform: translate3d(0, 0, 0);
      -webkit-transform-style: preserve-3d;
      -webkit-backface-visibility: hidden;
      color: nb-theme(text-control-color);
      @each $status in nb-get-statuses() {
        &amp;.status-#{$status} {
          $left-color: nb-theme(button-hero-#{$status}-left-background-color);
          $right-color: nb-theme(button-hero-#{$status}-right-background-color);
          background-image: linear-gradient(
            to right,
            $left-color,
            $right-color
          );
          &amp;:hover {
            cursor: pointer;
            $left-hover-color: nb-theme(
              button-hero-#{$status}-hover-left-background-color
            );
            $right-hover-color: nb-theme(
              button-hero-#{$status}-hover-right-background-color
            );
            background-image: linear-gradient(
              to right,
              $left-hover-color,
              $right-hover-color
            );
          }
        }
      }
    }
    &amp;.off {
      color: nb-theme(text-hint-color);
      .icon:hover {
        color: black;
      }
      .status,
      .title,
      .icon {
        color: nb-theme(text-hint-color);
      }
      @each $status in nb-get-statuses() {
        .icon.status-#{$status} {
          box-shadow: none;
          background-image: linear-gradient(to right, transparent, transparent);
        }
      }
    }
    .details {
      display: flex;
      flex-direction: column;
      justify-content: center;
      height: 100%;
      @include nb-ltr(padding, 0 0.5rem 0 0.75rem);
      @include nb-rtl(padding, 0 0.75rem 0 0.5rem);
      border-left: 1px solid transparent;
    }
    .title {
      margin: 0;
      font-weight: bolder;
    }
    .status {
      font-weight: lighter;
      color: grey;
    }
    .bt-suppr {
      position: absolute;
      top: 0;
      right: 15px;
    }
    .bt-suppr-load {
      position: absolute;
      top: 0;
      right: 0;
    }

    .name-img {
      position: absolute;
      bottom: 31px;
      right: 21px;
    }
    .name-img-load {
      position: absolute;
      bottom: 0;
      right: 5px;
    }

    .margin {
      margin-left: 0.2rem;
    }
  }
}
</code></pre>
    </div>

    <div class="tab-pane fade " id="c-tree">
        <div id="tree-container"></div>
        <div class="tree-legend">
            <div class="title">
                <b>Legend</b>
            </div>
            <div>
                <div class="color htmlelement"></div><span>Html element</span>
            </div>
            <div>
                <div class="color component"></div><span>Component</span>
            </div>
            <div>
                <div class="color directive"></div><span>Html element with directive</span>
            </div>
        </div>
    </div>

    
</div>

<script src="../js/libs/vis.min.js"></script>
<script src="../js/libs/htmlparser.js"></script>
<script src="../js/libs/deep-iterator.js"></script>
<script>
        var COMPONENT_TEMPLATE = '<div><nb-card [ngClass]="{\'off\': !on}" [nbSpinner]="loading" nbSpinnerStatus="info" [nbContextMenu]="items"    nbContextMenuTrigger="noop" (contextmenu)="open()">    <div class="icon-container">        <div class="icon status-{{ type }}" (click)="onClick()">            <ng-content></ng-content>        </div>    </div>    <div class="details">        <div class="title">            {{ title }}        </div>        <div class="status">{{ on ? \'Démarré\' : \'Arrêté\' }}</div>        <div class="title" *ngIf="on">            <a href="{{ urlBack }}" title="{{ urlBack }}" target="_blank">Accéder au site</a> {{ password }}        </div>    </div>    <div [ngClass]="loading ? \'bt-suppr-load\' : \'bt-suppr\'">        <span            nbTooltip="{{!on ? \'Démarrez ce site pour créer un modèle\' : \'Cliquez ici pour créer un modèle de ce site\' }}">            <button [disabled]="!on" type="button" class="btn btn-outline-primary btn-icon" (click)="onDuplicate()">                <nb-icon icon="copy-outline"></nb-icon>            </button>        </span>        <button type="button" class="btn btn-outline-danger btn-icon margin" (click)="confirmDel()">            <nb-icon icon="close-outline"></nb-icon>        </button>    </div>    <div *ngIf="tag?.length > 0" [ngClass]="loading ? \'name-img-load caption-2\' : \'name-img caption-2\'">        <i>Créé à partir du modèle : {{ tag }}</i>    </div></nb-card></div>'
    var COMPONENTS = [{'name': 'AppComponent', 'selector': 'ngx-app'},{'name': 'DashboardComponent', 'selector': 'ngx-dashboard'},{'name': 'DialogMultipleStacksPromptComponent', 'selector': 'ecx-dialog-multiple-stacks-prompt'},{'name': 'DialogNamePromptComponent', 'selector': 'ecx-dialog-name-prompt'},{'name': 'DialogTemplateComponent', 'selector': 'ecx-dialog-template'},{'name': 'EcomboxComponent', 'selector': 'ngx-ecombox'},{'name': 'EcomboxServerDetailsComponent', 'selector': 'ecx-ecombox-server-details'},{'name': 'EcomboxServerPieComponent', 'selector': 'ecx-ecombox-server-pie'},{'name': 'EcomboxStateComponent', 'selector': 'ecx-ecombox-state'},{'name': 'EcomboxUsageStatsComponent', 'selector': 'ecx-ecombox-usage-stats'},{'name': 'HelpComponent', 'selector': 'ecx-help'},{'name': 'ImagesComponent', 'selector': 'ecx-images'},{'name': 'MiscellaneousComponent', 'selector': 'ngx-miscellaneous'},{'name': 'NotFoundComponent', 'selector': 'ngx-not-found'},{'name': 'ServerAdvancedCardComponent', 'selector': 'ecx-server-advanced-card'},{'name': 'ServerAdvancedComponent', 'selector': 'ecx-server-advanced'},{'name': 'ServerBaseComponent', 'selector': 'ngx-server-base'},{'name': 'ServersCreateComponent', 'selector': 'ecx-servers-create'},{'name': 'ServersManageComponent', 'selector': 'ecx-servers-manage'},{'name': 'ServerStatusCardComponent', 'selector': 'ecx-server-status-card'},{'name': 'ShowcaseDialogComponent', 'selector': 'ngx-showcase-dialog'}];
    var DIRECTIVES = [];
    var ACTUAL_COMPONENT = {'name': 'ServerStatusCardComponent'};
</script>
<script src="../js/tree.js"></script>















                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> results matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

          <label class="dark-mode-switch">
               <input type="checkbox">
               <span class="slider">
                    <svg class="slider-icon" viewBox="0 0 24 24" fill="none" height="20" stroke="#000" stroke-linecap="round" stroke-linejoin="round" stroke-width="2" width="20" xmlns="http://www.w3.org/2000/svg">
                    <path d="M21 12.79A9 9 0 1111.21 3 7 7 0 0021 12.79z"></path>
                    </svg>
               </span>
          </label>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 1;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'component';
            var COMPODOC_CURRENT_PAGE_URL = 'ServerStatusCardComponent.html';
            var MAX_SEARCH_RESULTS = 15;
       </script>

       <script src="../js/libs/custom-elements.min.js"></script>
       <script src="../js/libs/lit-html.js"></script>

       <script src="../js/menu-wc.js" defer></script>
       <script nomodule src="../js/menu-wc_es5.js" defer></script>

       <script src="../js/libs/bootstrap-native.js"></script>

       <script src="../js/libs/es6-shim.min.js"></script>
       <script src="../js/libs/EventDispatcher.js"></script>
       <script src="../js/libs/promise.min.js"></script>
       <script src="../js/libs/zepto.min.js"></script>

       <script src="../js/compodoc.js"></script>

       <script src="../js/tabs.js"></script>
       <script src="../js/menu.js"></script>
       <script src="../js/libs/clipboard.min.js"></script>
       <script src="../js/libs/prism.js"></script>
       <script src="../js/sourceCode.js"></script>
          <script src="../js/search/search.js"></script>
          <script src="../js/search/lunr.min.js"></script>
          <script src="../js/search/search-lunr.js"></script>
          <script src="../js/search/search_index.js"></script>
       <script src="../js/lazy-load-graphs.js"></script>


    </body>
</html>
